Subject: Re: Just send UTF-8 with nameprep (was: RE: [idn]Reality Check)

From: [email-masked]
Date: Wed, 25 Jul 2001 20:00:05 -0700

This use of  hyphen is permitted in [nameprep], and is often
used by Chinese from Taiwan.  As far as I know, it is occasionally
needed for Korean, and I think it should be used to replace " ' " 
of Pinyin standard for IDN names. 

Liana

On Wed, 25 Jul 2001 08:48:58 -0700 Dan Ebert <[email-masked]> writes:
> 
> Roozbeh Pournader wrote:
> > 
> > On Wed, 25 Jul 2001, Martin Duerst wrote:
> > 
> > > I don't want to disagree with your conclusion, but I'm not
> > > sure about the premise (that we need the original spelling),
> > > so I didn't get into the details of what would follow.
> > 
> > We may need original spelling, for example if we decide that we 
> need to
> > stop Arabic letters from joining, by using a ZWNJ between them 
> (since a
> > space is not available). Multiword Arabic domain names will be 
> unreadable
> > if the words join. But since ZNWJ is stripped at nameprep, we will
> > sometimes need to get to the original. You get the idea.
> > 
> > roozbeh
> 
> It is possible to prevent Arabic letters from joining by separating
> words by hyphens.  While I don't think this isn't something which 
> should
> be incoporated into any kind of proposal, it may be a useful 
> convention
> for the registration of Arabic names. I am not an Arabic speaker so 
> I
> don't know how acceptable this would be, but it is a possible 
> solution.
> 
> -- 
> Dan Ebert      <[email-masked]>       eNIC Corporation
> ------------------------------------------------------------
>

---

From: "Bruce Thomson" <[email-masked]>
Date: Thu, 26 Jul 2001 13:15:41 +0900

Using hyphen in Japanese would be a bit confusing, as a different
dash is used to indicate long vowels.

----- Original Message -----
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>
Sent: Thursday, July 26, 2001 12:00 PM
Subject: Re: Just send UTF-8 with nameprep (was: RE: [idn]Reality Check)